## kissplice 2.5.3

=== CMakeLists.txt ===
# ============================================================================
# Require minimal version of cmake
# ============================================================================
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5)


# ============================================================================
# Set project name and languages
# ============================================================================
PROJECT(kissplice CXX C)


# ============================================================================
# Get GNU standard installation directories (GNUInstallDirs module)
# ============================================================================
INCLUDE(GNUInstallDirs)


# ============================================================================
# Set compilation flags
# ============================================================================
IF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Distribution)
ENDIF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)


SET(CMAKE_CXX_FLAGS_DEBUG "-g -Wall")	      
SET(CMAKE_C_FLAGS_DEBUG "-g -Wall")
SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -Wall")
SET(CMAKE_C_FLAGS_RELEASE "-O3 -Wall")
SET(CMAKE_CXX_FLAGS_DISTRIBUTION "-O3 -w")
SET(CMAKE_C_FLAGS_DISTRIBUTION "-O3 -w")
SET(CMAKE_CXX_FLAGS_PROFILING "-g -pg") 
SET(CMAKE_C_FLAGS_PROFILING "-g -pg")



# ============================================================================
# Manage the KMERS_OVER_32 option
# The default value for KMERS_OVER_32 is
#   * ON on 64 bits systems
#   * OFF on 32 bits systems
# If a user tries to set KMERS_OVER_32 to ON on a 32 bits system, it will be
# forced back to OFF in the CACHE and a FATAL_ERROR message will be issued.
# ============================================================================
SET(KMERS_OVER_32_HELP_STRING "Increase the maximum k-mer size on 64-bits systems")

IF (${CMAKE_SIZEOF_VOID_P} LESS 8 )
  set(KMERS_OVER_32 OFF CACHE BOOL KMERS_OVER_32_HELP_STRING)
  IF (KMERS_OVER_32)
    set(KMERS_OVER_32 OFF CACHE BOOL KMERS_OVER_32_HELP_STRING FORCE)
    MESSAGE(FATAL_ERROR
            "The KMERS_OVER_32 option cannot be used on 32 bits systems")
  ENDIF ()
ELSE ()
  set(KMERS_OVER_32 ON CACHE BOOL KMERS_OVER_32_HELP_STRING)
ENDIF ()


# ============================================================================
# Tell cmake where to put binary files.
# By GNU standards "executable programs that users can run" should go in
# bindir a.k.a ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}
# and "executable programs to be run by other programs rather than by users"
# in libexecdir a.k.a ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}
#
# The main script of kissplice (kissplice.py) must be configured to find the
# secondary binaries. These can be found either in libexecdir (after install)
# or in the build-tree, we hence need 2 versions of kissplice: one that uses
# those secondary binaries in the build-tree and one that is installable.
# The latter will be placed in an ad-hoc directory called "install" in the
# build-tree
#
# Since all the files to be *compiled* belong to libexecdir, we can set
# ${CMAKE_RUNTIME_OUTPUT_DIRECTORY} once and for all her
# ============================================================================
# Set main binary dir
SET(MAIN_BIN_DIR ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR})
# Set the location of other executables
SET(SEC_BIN_DIR ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

# Tell cmake where to put compiled files
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SEC_BIN_DIR})

# Make a configured copy of kissplice main (python) file
# KS_SEC_EXEC_PATH must be a relative path to support local installations using
# make install DESTDIR=/some/path
set(KS_SEC_EXEC_PATH ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)
configure_file(${PROJECT_SOURCE_DIR}/kissplice.py ${MAIN_BIN_DIR}/kissplice @ONLY)

# Tell cmake where to install the main script (kissplice)
install(PROGRAMS ${MAIN_BIN_DIR}/kissplice
        DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})


# ============================================================================
# zlib required for kissreads
# ============================================================================
FIND_PACKAGE(ZLIB REQUIRED)


# ============================================================================
# Tell cmake about subdirectories to look into
# ============================================================================
ADD_SUBDIRECTORY(bcalm)
ADD_SUBDIRECTORY(thirdparty)
ADD_SUBDIRECTORY(modules)
ADD_SUBDIRECTORY(man)
ADD_SUBDIRECTORY(doc)


# ============================================================================
# Add testing capabilities
# ============================================================================
ENABLE_TESTING()
ADD_SUBDIRECTORY(tests)


# ============================================================================
# Adds the 'dist' target (that will use cpack)
# ============================================================================
add_custom_target(dist COMMAND ${CMAKE_BUILD_TOOL} package_source)


# ============================================================================
# Add custom uninstall target
# ============================================================================
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/utils/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)




# ============================================================================
# Configure cpack
# ============================================================================
SET(CPACK_PACKAGE_NAME "kissplice")
SET(CPACK_PACKAGE_VENDOR "Kissplice Development Team")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "5")
SET(CPACK_PACKAGE_VERSION_PATCH "3")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Splicing events caller")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "README.CMake"
 "README.Licence"
 "README.Release"
 "README.NamingConventions"
 "README.Kissreads"
 "README.md"
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.svn"
 ".*\\\\.idea"
 ".*\\\\.DS_Store"
 ".*\\\\.gz"
 ".*\\\\~"
 ".*\\\\.o"
 "bcc/"
 "datasets"
 "ismb"
 "Recomb"
 "RR"
 "script_tarjan_aphid.sh"
 "splice_sites_results"
 "splicing_events"
 "TODO.*"
 "Validation"
 "validation_script.sh"
 ".*project"
 "/\\\\.git*"
 "^results$"
 "^build$"
 "incremental-bicon.ps"
 "^scripts$"
 "skeletons"
 "doc/dev"
 "alt_splicing_sample_ex.png"
 "quantifModel-big.png"
 "resType0.png"
 "resType1.png"
 "quantifModel.png"
 "ucsc.png"
 "user_guide.aux"
 "user_guide.bib"
 "user_guide.log"
 "user_guide.toc"
 "user_guide.tex"
 "jobim13"
 ${CPACK_SOURCE_IGNORE_FILES}
) 
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
include(CPack)

=== bcalm/CMakeLists.txt ===
project(bcalm)

cmake_minimum_required(VERSION 2.6)

################################################################################
# Shortcuts
################################################################################
SET (GATB_CORE_HOME  ${PROJECT_SOURCE_DIR}/gatb-core)

################################################################################
# Define cmake modules directory
################################################################################
FOREACH (path "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${GATB_CORE_HOME}/gatb-core/cmake")
    IF (EXISTS "${path}")
        SET (CMAKE_MODULE_PATH  "${CMAKE_MODULE_PATH}" "${path}")
    ENDIF()
ENDFOREACH(path)

#############################
# getting git version
#from http://stackoverflow.com/questions/1435953/how-can-i-pass-git-sha1-to-compiler-as-definition-using-cmake
#20/03/19 VL added a return value to catch the case where we compile bcalm from a directory where there is .git repository.
#When using git --version 2.17 (but not version 2.19), the output of a git command when it failed was composed of two lines, which caused errors downstream 
#Now the add_definitions command is executed only if the git command exited successfully
exec_program(
    "git"
    ${CMAKE_CURRENT_SOURCE_DIR}
    ARGS "rev-parse --short HEAD"
    OUTPUT_VARIABLE VERSION_SHA1 
    RETURN_VALUE ERROR_GIT)

if(!${ERROR_GIT})
    add_definitions( -DGIT_SHA1="${VERSION_SHA1}" )
endif(!${ERROR_GIT})

################################################################################
# THIRD PARTIES
################################################################################

# We don't want to install some GATB-CORE artifacts
SET (GATB_CORE_EXCLUDE_TOOLS     1) # no need to compile dbgh5, etc..
SET (GATB_CORE_EXCLUDE_TESTS     1)
SET (GATB_CORE_EXCLUDE_EXAMPLES  1)


# GATB CORE
include (GatbCore)

################################################################################
#  TOOLS
################################################################################

MACRO(SUBDIRLIST result curdir)
    FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
    SET (dirlist "")
    FOREACH(child ${children})
      IF(IS_DIRECTORY ${curdir}/${child})
          LIST(APPEND dirlist ${child})
      ENDIF()
    ENDFOREACH()
    SET(${result} ${dirlist})
ENDMACRO()

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

# We add the gatb-core include directory
include_directories (${gatb-core-includes})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

set (program "bcalm")
set (PROGRAM_SOURCE_DIR ${PROJECT_SOURCE_DIR}/src)
include_directories (${PROGRAM_SOURCE_DIR})
file (GLOB_RECURSE  ProjectFiles  ${PROGRAM_SOURCE_DIR}/*.cpp)
add_executable(${program} ${ProjectFiles})
target_link_libraries(${program} ${gatb-core-libraries})

################################################################################
# DELIVERY
################################################################################

# If your current login name is different from your GForge login name, you have
# to overwrite the CPACK_USER_NAME to be the same as your GForge login
#SET (CPACK_USER_NAME                    "your_gforge_login")

# We set the version number
SET (CPACK_PACKAGE_VERSION              "")  

# We have to tell what is the server name
SET (CPACK_GFORGE_PROJECT_NAME          "gatb-tools")

# We set the kind of archive
SET (CPACK_GENERATOR                    "TGZ")
SET (CPACK_SOURCE_GENERATOR             "TGZ")

# We ignore unwanted files for the source archive
SET (CPACK_SOURCE_IGNORE_FILES
    "^${PROJECT_SOURCE_DIR}/.git/"     ;
    "^${PROJECT_SOURCE_DIR}/.gitmodules" ;
    "^${PROJECT_SOURCE_DIR}/.gitignore" ;
    "^${PROJECT_SOURCE_DIR}/build/"  ;
    "^${GATB_CORE_HOME}/.cproject" ;
    "^${GATB_CORE_HOME}/.git/"     ;
    "^${GATB_CORE_HOME}/.project"  ;
    "^${GATB_CORE_HOME}/.gitignore"
)

# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)
INSTALL (DIRECTORY "${PROJECT_SOURCE_DIR}/example/" DESTINATION example)
INSTALL (FILES VERSION LICENSE README.md DESTINATION bin/..)

# cmake_system_name for mac is Darwin, i want to change that
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(PRETTY_SYSTEM_NAME "Linux")
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(PRETTY_SYSTEM_NAME "Mac")
endif()

set (CPACK_PACKAGE_FILE_NAME  ${PROJECT_NAME}-binaries-${VERSION}-${PRETTY_SYSTEM_NAME})

include (CPack)

=== doc/CMakeLists.txt ===
# Uncomment the following 2 lines to compile the user guide at build-time
# (requires pdflatex)
#FIND_PACKAGE(LATEX REQUIRED)
#ADD_CUSTOM_TARGET(user_guide.pdf ALL ${PDFLATEX_COMPILER} "${PROJECT_SOURCE_DIR}/doc/user_guide.tex")

# Install user guide
install(FILES user_guide.pdf DESTINATION share/doc/kissplice)

=== man/CMakeLists.txt ===
install(FILES kissplice.1 DESTINATION share/man/man1)

=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(kissreads)

=== tests/integration_tests/CMakeLists.txt ===
# ============================================================================
# Basic test: Does kissplice run ?
# ============================================================================
add_test(KisspliceBasicTest ${MAIN_BIN_DIR}/kissplice -h)

# ============================================================================
# Tests on: /data/HBM75brain_100000.fasta 
#      +   /data/HBM75liver_100000.fasta
# Comparing the graph and the count file
# ============================================================================
add_test(KisspliceDBGTest ${CMAKE_CURRENT_SOURCE_DIR}/kisspliceDBGTest.py ${MAIN_BIN_DIR})
set_tests_properties(KisspliceDBGTest PROPERTIES PASS_REGULAR_EXPRESSION "test SUCCESSFUL")

# ============================================================================
# Tests on: /data/HBM75brain_100000.fasta 
#      +   /data/HBM75liver_100000.fasta
# ============================================================================
add_test(KisspliceTwoSequencesTest ${CMAKE_CURRENT_SOURCE_DIR}/kisspliceTwoSequencesTest.py ${MAIN_BIN_DIR})
set_tests_properties(KisspliceTwoSequencesTest PROPERTIES PASS_REGULAR_EXPRESSION "test SUCCESSFUL")

# ============================================================================
# Tests on: //data/graph_HBM75brain_100000_HBM75liver_100000_k25 + 
#              /data/HBM75brain_100000.fasta
# ============================================================================

add_test(KisspliceGraphAndSequenceTest ${CMAKE_CURRENT_SOURCE_DIR}/kisspliceGraphAndSequenceTest.py ${MAIN_BIN_DIR})
set_tests_properties(KisspliceGraphAndSequenceTest PROPERTIES PASS_REGULAR_EXPRESSION "test SUCCESSFUL")

# ============================================================================
# Tests on: //data/graph_HBM75brain_100000_HBM75liver_100000_k25 
# ============================================================================
add_test(KisspliceGraphTest ${CMAKE_CURRENT_SOURCE_DIR}/kisspliceGraphTest.py ${MAIN_BIN_DIR})
set_tests_properties(KisspliceGraphTest PROPERTIES PASS_REGULAR_EXPRESSION "test SUCCESSFUL")

=== thirdparty/kissreads/src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/thirdparty/kissreads/include)

ADD_EXECUTABLE(ks_kissreadsSNPS commons.c extension_algorithm.c interface_libchash.c libchash.c outputs.c coherent_algorithm.c couple.c fragment_index.c kissReads.c list.c tree.c)
set_target_properties(ks_kissreadsSNPS PROPERTIES COMPILE_FLAGS "-DCLASSICAL_SPANNING")


ADD_EXECUTABLE(ks_kissreadsSplice commons.c extension_algorithm.c interface_libchash.c libchash.c outputs.c coherent_algorithm.c couple.c fragment_index.c kissReads.c list.c tree.c)
set_target_properties(ks_kissreadsSplice PROPERTIES COMPILE_FLAGS "-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE")
IF(UNIX)
  TARGET_LINK_LIBRARIES(ks_kissreadsSNPS m)
  TARGET_LINK_LIBRARIES(ks_kissreadsSplice m)
ENDIF(UNIX)
INCLUDE_DIRECTORIES( ${ZLIB_INCLUDE_DIR} )
TARGET_LINK_LIBRARIES(ks_kissreadsSNPS  ${ZLIB_LIBRARY})
TARGET_LINK_LIBRARIES(ks_kissreadsSplice  ${ZLIB_LIBRARY})

install(TARGETS ks_kissreadsSNPS DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)
install(TARGETS ks_kissreadsSplice DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

=== bcalm/gatb-core/gatb-core/examples/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB EXAMPLES ----------")
################################################################################

################################################################################
#  EXAMPLES 
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

file (GLOB_RECURSE  PROGRAMS_FILES  *.cpp)

FOREACH (program ${PROGRAMS_FILES})

    # we get the base name of the current example
    get_filename_component(basename ${program} NAME_WE)
   
    # we add an executable for this example
    add_executable (${basename} ${program})
  
    # we use the gatb core libraries for the link
    target_link_libraries (${basename} ${gatb-core-libraries})

    list (APPEND PROGRAMS_NAMES ${basename})
      
ENDFOREACH (program)

# We add a custom target for making all examples
add_custom_target (examples ALL DEPENDS ${PROGRAMS_NAMES})

=== bcalm/gatb-core/gatb-core/thirdparty/CMakeLists.txt ===
################################################################################
#  HDF5 GENERATION 
################################################################################

#SET (HDF5_ENABLE_THREADSAFE       ON)
#SET (H5_HAVE_THREADSAFE 1)

##########  MOMENTARY DEACTIVATED => CRASH ON MACOS TO BE INVESTIGATED  ##########
SET (HDF5_BUILD_TOOLS             ON CACHE BOOL "Build HDF5 Tools")
#SET (CMAKE_EXE_LINKER_FLAGS       "-lpthread -lz")

SET (HDF5_EXTERNALLY_CONFIGURED     ON)

#SET (HDF5_INSTALL_BIN_DIR           ${PROJECT_BINARY_DIR}/bin/${CMAKE_BUILD_TYPE})
#SET (HDF5_INSTALL_LIB_DIR           ${PROJECT_BINARY_DIR}/lib/${CMAKE_BUILD_TYPE})
SET (HDF5_INSTALL_BIN_DIR           bin)
SET (HDF5_INSTALL_LIB_DIR           lib)

SET (HDF5_INSTALL_INCLUDE_DIR       ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/hdf5)
SET (HDF5_INSTALL_DATA_DIR          ${PROJECT_BINARY_DIR}/share/${CMAKE_BUILD_TYPE})
SET (HDF5_INSTALL_CMAKE_DIR         ${PROJECT_BINARY_DIR}/share/${CMAKE_BUILD_TYPE})

IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    SET (HDF5_EXPORTED_TARGETS          "gatb-hdf5")
ENDIF()

IF (NOT DEFINED GATB_CORE_EXCLUDE_HDF5_ZLIB)
	OPTION (HDF5_ENABLE_Z_LIB_SUPPORT "Enable Zlib Filters" ON)
ENDIF()

# We don't want warnings from HDF5 compilation
set (COMPILE_DEFINITIONS  "${COMPILE_DEFINITIONS}  -w")
add_definitions (${COMPILE_DEFINITIONS})

# add HDF5 generation
ADD_SUBDIRECTORY (hdf5)

# We add a custom target for copying header files.
add_custom_target (hdf5_postbuild ALL)

# We build the output directory
add_custom_command (TARGET hdf5_postbuild POST_BUILD  COMMAND ${CMAKE_COMMAND} -E make_directory ${HDF5_INSTALL_INCLUDE_DIR})

# We define all the header files to be copied
file (GLOB headerfiles ${PROJECT_SOURCE_DIR}/thirdparty/hdf5/src/*.h ${PROJECT_BINARY_DIR}/thirdparty/hdf5/H5pubconf.h)

# We copy each header file
foreach (header ${headerfiles})
  add_custom_command (TARGET hdf5_postbuild POST_BUILD  COMMAND ${CMAKE_COMMAND} -E copy_if_different ${header} ${HDF5_INSTALL_INCLUDE_DIR}  )
endforeach()

# include other smaller libraries (json, Boophf)

add_custom_target (thirdparty_copy ALL)
add_custom_command (TARGET thirdparty_copy COMMAND ${CMAKE_COMMAND} -E
    make_directory ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/json)
add_custom_command (TARGET thirdparty_copy COMMAND ${CMAKE_COMMAND} -E
    make_directory ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/BooPHF)
add_custom_command (TARGET thirdparty_copy  COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_SOURCE_DIR}/thirdparty/BooPHF/BooPHF.h ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/BooPHF/)
add_custom_command (TARGET thirdparty_copy  COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_SOURCE_DIR}/thirdparty/json/json.hpp   ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/json/)

################################################################################
#  INSTALL 
################################################################################
IF (NOT DEFINED GATB_CORE_INSTALL_EXCLUDE)
    INSTALL (DIRECTORY ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/hdf5 DESTINATION include)
    INSTALL (DIRECTORY ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/json DESTINATION include)
    INSTALL (DIRECTORY ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE}/BooPHF DESTINATION include)
ENDIF ()

=== bcalm/gatb-core/gatb-core/tools/CMakeLists.txt ===
################################################################################
message ("--  ---------- GATB TOOLS ----------")
################################################################################

################################################################################
#  TOOLS
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

include_directories (${gatb-core-includes})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

list (APPEND PROGRAMS dbgh5 dbginfo leon)

FOREACH (program ${PROGRAMS})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${gatb-core-libraries})
  
  # (rayan) attempt at static linking, not sure if it works properly
  # but we need this to distribute binaries that are compatible on old system 
  # (see lh3's post on Biostar during the 2.0.1 dsk/minia release, he could not
  # run dsk even though i compiled it on gcc 4.4.7 on genocluster2)
  if (static)
     set_target_properties(${program} PROPERTIES LINK_SEARCH_START_STATIC w1)
      set_target_properties(${program} PROPERTIES LINK_SEARCH_END_STATIC 1)
      set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
      if (APPLE)
          set(CMAKE_EXE_LINKER_FLAGS "-static-libstdc++") #removed -static because doesn't work on mac's
      else()
          set(CMAKE_EXE_LINKER_FLAGS "-static-libstdc++ -static")
      endif()
      message ("STATIC BINARIES for ${program}")
  else()
      message ("DYNAMIC BINARIES for ${program}")
  endif()


ENDFOREACH (program)

################################################################################
#  INSTALLATION 
################################################################################
install (TARGETS dbgh5 dbginfo leon DESTINATION bin)

=== bcalm/gatb-core/gatb-core/test/unit/CMakeLists.txt ===
################################################################################
#  CPPUNIT 
################################################################################

# We add the compilation options for the library
add_definitions (${gatb-core-flags})

file (GLOB_RECURSE  GatbCoreTestFiles  src/*)

include_directories (${gatb-core-includes}  ${gatb-core_SOURCE_DIR}/test/unit/src  ${CPPUNIT_INCLUDE_DIR})

# We add the path for extra libraries
link_directories (${gatb-core-extra-libraries-path})

add_executable        (gatb-core-cppunit    ${GatbCoreTestFiles})
target_link_libraries (gatb-core-cppunit    ${gatb-core-libraries} ${CPPUNIT_LIBRARIES})

#################################################
#  LAUNCH 
#################################################

# We add an optional target for launching unit tests
add_custom_target (gatb_test gatb-core-cppunit  "All Tests"  ${gatb-core_SOURCE_DIR}/test/db  unittests.xml)

#################################################
#  INSTALL 
#################################################
install (TARGETS gatb-core-cppunit   DESTINATION test)
install (DIRECTORY ${gatb-core_SOURCE_DIR}/test/db DESTINATION test/)

=== bcalm/gatb-core/gatb-core/thirdparty/hdf5/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1.0)
PROJECT (HDF5 C CXX)

#-----------------------------------------------------------------------------
# Instructions for use : Normal Build
#
# For standard build of HDF5 libraries,tests and tools.
# Run cmake using the HDF5 source tree to generate a build tree.
# Enable/Disable options according to requirements and
# set CMAKE_INSTALL_PREFIX to the required install path.
# Make install can be used to install all components for system-wide use.
#
if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    MESSAGE(FATAL_ERROR "\nERROR! ${PROJECT_NAME} DOES NOT SUPPORT IN SOURCE BUILDS!\n"
      "CMAKE_CURRENT_SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}"
      " == CMAKE_CURRENT_BINARY_DIR=${CMAKE_CURRENT_BINARY_DIR}\n"
      "NEXT STEPS:\n"
      "(1) Delete the CMakeCache.txt file and the CMakeFiles/ directory\n"
      "     under the source directory for ${PROJECT_NAME}, otherwise you\n"
      "     will not be able to configure ${PROJECT_NAME} correctly!\n"
      "      * For example, on linux machines do:\n"
      "        $ rm -r CMakeCache.txt CMakeFiles/\n"
      "(2) Create a different directory and configure ${PROJECT_NAME} in that directory.\n"
      "      * For example, on linux machines do:\n"
      "        $ mkdir MY_BUILD\n"
      "        $ cd MY_BUILD\n"
      "        $ cmake [OPTIONS] ..\n"
      )
endif ()

#-----------------------------------------------------------------------------
# Instructions for use : Sub-Project Build
#
# To include HDF5 as a sub-project within another project.
# Set HDF5_EXTERNALLY_CONFIGURED to 1 in the parent project and
# supply values for the following variables...
#
# HDF5_EXPORTED_TARGETS :
#   Set this to the name of the targets variable which controls exports
#   If unset (because parent project does not support/use the
#   install (EXPORT target...) syntax), then targets are not configured
#   for export during install.
#
# HDF5_LIB_DEPENDENCIES :
#   If the build of HDF5 libs is being customized, then rules for the
#   dependencies of the HDF5 libs may be 'incomplete', add additional
#   dependencies to this variable so that external projects pick them up
#
# HDF5_EXTERNAL_LIB_PREFIX :
#   If the parent project needs to install hdf libraries, but avoid
#   name conflicts with system versions, then a prefix may be added
#   to ensure that the correct versions configured are used.
#
# HDF5_INSTALL_BIN_DIR, HDF5_INSTALL_LIB_DIR, HDF5_INSTALL_INCLUDE_DIR, HDF5_INSTALL_DATA_DIR :
#   Customize the 'bin', 'lib', 'include', and 'share' installation directories.
#
# HDF5_INSTALL_NO_DEVELOPMENT :
#   Set to true to skip installation of headers and CMake package files.
#
# Consider this example from the ParaView project, it builds its own zlib
# library and tells HDF5 to add it as a dependency - this ensures that
# any project making use of this build of HDF5 will use the correct zlib
#
#   # Tell hdf5 that we are manually overriding certain settings
#   set (HDF5_EXTERNALLY_CONFIGURED 1)
#   # Avoid duplicating names of installed libraries
#   set (HDF5_EXTERNAL_LIB_PREFIX "vtk")
#   # Export configuration to this export variable
#   set (HDF5_EXPORTED_TARGETS "paraview-targets")
#
#   # Setup all necessary overrides for zlib so that HDF5 uses our
#   # internally compiled zlib rather than any other version
#   if (HDF5_ENABLE_Z_LIB_SUPPORT)
#     # We must tell the main HDF5 library that it depends on our zlib
#     set (HDF5_LIB_DEPENDENCIES vtkzlib)
#     # Override the zlib header file
#     if (VTK_USE_SYSTEM_ZLIB)
#       set (H5_ZLIB_HEADER "zlib.h")
#     else (VTK_USE_SYSTEM_ZLIB)
#       set (H5_ZLIB_HEADER "vtk_zlib.h")
#       # Set vars that FindZlib would have set if used in sub project
#       set (ZLIB_INCLUDE_DIRS "${VTK_ZLIB_INCLUDE_DIRS}")
#       set (ZLIB_LIBRARIES vtkzlib)
#     endif (VTK_USE_SYSTEM_ZLIB)
#   endif (HDF5_ENABLE_Z_LIB_SUPPORT)
#
#   # Add the sub project
#   add_subdirectory (Utilities/hdf5-1.8)
#-----------------------------------------------------------------------------
string(TIMESTAMP CONFIG_DATE "%Y-%m-%d")

#-----------------------------------------------------------------------------
# Allow Visual Studio solution directories
#-----------------------------------------------------------------------------
# Provide a way for Visual Studio Express users to turn OFF the new FOLDER
# organization feature. Default to ON for non-Express users. Express users must
# explicitly turn off this option to build HDF5 in the Express IDE...
#
option (HDF5_USE_FOLDERS "Enable folder grouping of projects in IDEs." ON)
mark_as_advanced (HDF5_USE_FOLDERS)
if (HDF5_USE_FOLDERS)
  set_property (GLOBAL PROPERTY USE_FOLDERS ON)
endif (HDF5_USE_FOLDERS)
option (HDF5_NO_PACKAGES "CPACK - Disable packaging" OFF)
mark_as_advanced (HDF5_NO_PACKAGES)
option (ALLOW_UNSUPPORTED "Allow unsupported combinations of configure options" OFF)
mark_as_advanced (ALLOW_UNSUPPORTED)

#-----------------------------------------------------------------------------
# Set the core names of all the libraries
#-----------------------------------------------------------------------------
set (HDF5_LIB_CORENAME              "hdf5")
set (HDF5_TEST_LIB_CORENAME         "hdf5_test")
set (HDF5_CPP_LIB_CORENAME          "hdf5_cpp")
set (HDF5_HL_LIB_CORENAME           "hdf5_hl")
set (HDF5_HL_CPP_LIB_CORENAME       "hdf5_hl_cpp")
set (HDF5_TOOLS_LIB_CORENAME        "hdf5_tools")
set (HDF5_F90_LIB_CORENAME          "hdf5_fortran")
set (HDF5_F90_C_LIB_CORENAME        "hdf5_f90cstub")
set (HDF5_F90_TEST_LIB_CORENAME     "hdf5_test_fortran")
set (HDF5_F90_C_TEST_LIB_CORENAME   "hdf5_test_f90cstub")
set (HDF5_HL_F90_LIB_CORENAME       "hdf5_hl_fortran")
set (HDF5_HL_F90_C_LIB_CORENAME     "hdf5_hl_f90cstub")

#-----------------------------------------------------------------------------
# Set the true names of all the libraries if customized by external project
#-----------------------------------------------------------------------------
set (HDF5_LIB_NAME              "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_LIB_CORENAME}")
set (HDF5_TEST_LIB_NAME         "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_TEST_LIB_CORENAME}")
set (HDF5_CPP_LIB_NAME          "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_CPP_LIB_CORENAME}")
set (HDF5_HL_LIB_NAME           "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_HL_LIB_CORENAME}")
set (HDF5_HL_CPP_LIB_NAME       "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_HL_CPP_LIB_CORENAME}")
set (HDF5_TOOLS_LIB_NAME        "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_TOOLS_LIB_CORENAME}")
set (HDF5_F90_LIB_NAME          "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_F90_LIB_CORENAME}")
set (HDF5_F90_C_LIB_NAME        "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_F90_C_LIB_CORENAME}")
set (HDF5_F90_TEST_LIB_NAME     "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_F90_TEST_LIB_CORENAME}")
set (HDF5_F90_C_TEST_LIB_NAME   "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_F90_C_TEST_LIB_CORENAME}")
set (HDF5_HL_F90_LIB_NAME       "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_HL_F90_LIB_CORENAME}")
set (HDF5_HL_F90_C_LIB_NAME     "${HDF5_EXTERNAL_LIB_PREFIX}${HDF5_HL_F90_C_LIB_CORENAME}")

#-----------------------------------------------------------------------------
# Set the target names of all the libraries
#-----------------------------------------------------------------------------
set (HDF5_LIB_TARGET              "${HDF5_LIB_CORENAME}")
set (HDF5_TEST_LIB_TARGET         "${HDF5_TEST_LIB_CORENAME}")
set (HDF5_CPP_LIB_TARGET          "${HDF5_CPP_LIB_CORENAME}")
set (HDF5_HL_LIB_TARGET           "${HDF5_HL_LIB_CORENAME}")
set (HDF5_HL_CPP_LIB_TARGET       "${HDF5_HL_CPP_LIB_CORENAME}")
set (HDF5_TOOLS_LIB_TARGET        "${HDF5_TOOLS_LIB_CORENAME}")
set (HDF5_F90_LIB_TARGET          "${HDF5_F90_LIB_CORENAME}")
set (HDF5_F90_C_LIB_TARGET        "${HDF5_F90_C_LIB_CORENAME}")
set (HDF5_F90_TEST_LIB_TARGET     "${HDF5_F90_TEST_LIB_CORENAME}")
set (HDF5_F90_C_TEST_LIB_TARGET   "${HDF5_F90_C_TEST_LIB_CORENAME}")
set (HDF5_HL_F90_LIB_TARGET       "${HDF5_HL_F90_LIB_CORENAME}")
set (HDF5_HL_F90_C_LIB_TARGET     "${HDF5_HL_F90_C_LIB_CORENAME}")
set (HDF5_LIBSH_TARGET            "${HDF5_LIB_CORENAME}-shared")
set (HDF5_TEST_LIBSH_TARGET       "${HDF5_TEST_LIB_CORENAME}-shared")
set (HDF5_CPP_LIBSH_TARGET        "${HDF5_CPP_LIB_CORENAME}-shared")
set (HDF5_HL_LIBSH_TARGET         "${HDF5_HL_LIB_CORENAME}-shared")
set (HDF5_HL_CPP_LIBSH_TARGET     "${HDF5_HL_CPP_LIB_CORENAME}-shared")
set (HDF5_TOOLS_LIBSH_TARGET      "${HDF5_TOOLS_LIB_CORENAME}-shared")
set (HDF5_F90_LIBSH_TARGET        "${HDF5_F90_LIB_CORENAME}-shared")
set (HDF5_F90_C_LIBSH_TARGET      "${HDF5_F90_C_LIB_CORENAME}-shared")
set (HDF5_F90_TEST_LIBSH_TARGET   "${HDF5_F90_TEST_LIB_CORENAME}-shared")
set (HDF5_F90_C_TEST_LIBSH_TARGET "${HDF5_F90_C_TEST_LIB_CORENAME}-shared")
set (HDF5_HL_F90_LIBSH_TARGET     "${HDF5_HL_F90_LIB_CORENAME}-shared")
set (HDF5_HL_F90_C_LIBSH_TARGET   "${HDF5_HL_F90_C_LIB_CORENAME}-shared")

#-----------------------------------------------------------------------------
# Define some CMake variables for use later in the project
#-----------------------------------------------------------------------------
set (HDF_RESOURCES_DIR       ${HDF5_SOURCE_DIR}/config/cmake)
set (HDF_RESOURCES_EXT_DIR   ${HDF5_SOURCE_DIR}/config/cmake_ext_mod)
set (HDF5_SRC_DIR            ${HDF5_SOURCE_DIR}/src)
set (HDF5_TEST_SRC_DIR       ${HDF5_SOURCE_DIR}/test)
set (HDF5_CPP_SRC_DIR        ${HDF5_SOURCE_DIR}/c++)
set (HDF5_CPP_TST_DIR        ${HDF5_SOURCE_DIR}/c++/test)
set (HDF5_HL_SRC_DIR         ${HDF5_SOURCE_DIR}/hl)
set (HDF5_HL_CPP_SRC_DIR     ${HDF5_SOURCE_DIR}/hl/c++)
set (HDF5_HL_TOOLS_DIR       ${HDF5_SOURCE_DIR}/hl/tools)
set (HDF5_TOOLS_DIR          ${HDF5_SOURCE_DIR}/tools)
set (HDF5_TOOLS_SRC_DIR      ${HDF5_SOURCE_DIR}/tools)
set (HDF5_PERFORM_SRC_DIR    ${HDF5_SOURCE_DIR}/tools/perform)
set (HDF5_F90_SRC_DIR        ${HDF5_SOURCE_DIR}/fortran)

if (APPLE)
  option (HDF5_BUILD_FRAMEWORKS "TRUE to build as frameworks libraries, FALSE to build according to BUILD_SHARED_LIBS" FALSE)
endif (APPLE)

if (NOT HDF5_INSTALL_BIN_DIR)
  set (HDF5_INSTALL_BIN_DIR bin)
endif (NOT HDF5_INSTALL_BIN_DIR)
if (NOT HDF5_INSTALL_LIB_DIR)
  if (APPLE)
    set (HDF5_INSTALL_FMWK_DIR ${CMAKE_INSTALL_FRAMEWORK_PREFIX})
  endif (APPLE)
  set (HDF5_INSTALL_LIB_DIR lib)
endif (NOT HDF5_INSTALL_LIB_DIR)
if (NOT HDF5_INSTALL_INCLUDE_DIR)
  set (HDF5_INSTALL_INCLUDE_DIR include)
endif (NOT HDF5_INSTALL_INCLUDE_DIR)
if (NOT HDF5_INSTALL_DATA_DIR)
  if (NOT WIN32)
    if (APPLE)
      if (HDF5_BUILD_FRAMEWORKS)
        set (HDF5_INSTALL_EXTRA_DIR ../SharedSupport)
      else (HDF5_BUILD_FRAMEWORKS)
        set (HDF5_INSTALL_EXTRA_DIR share)
      endif (HDF5_BUILD_FRAMEWORKS)
      set (HDF5_INSTALL_FWRK_DIR ${CMAKE_INSTALL_FRAMEWORK_PREFIX})
    endif (APPLE)
    set (HDF5_INSTALL_DATA_DIR share)
    set (HDF5_INSTALL_CMAKE_DIR share/cmake)
  else (NOT WIN32)
    set (HDF5_INSTALL_DATA_DIR ".")
    set (HDF5_INSTALL_CMAKE_DIR cmake)
  endif (NOT WIN32)
endif (NOT HDF5_INSTALL_DATA_DIR)

if(DEFINED ADDITIONAL_CMAKE_PREFIX_PATH AND EXISTS "${ADDITIONAL_CMAKE_PREFIX_PATH}")
  set (CMAKE_PREFIX_PATH ${ADDITIONAL_CMAKE_PREFIX_PATH} ${CMAKE_PREFIX_PATH})
endif(DEFINED ADDITIONAL_CMAKE_PREFIX_PATH AND EXISTS "${ADDITIONAL_CMAKE_PREFIX_PATH}")

#-----------------------------------------------------------------------------
# parse the full version number from H5public.h and include in H5_VERS_INFO
#-----------------------------------------------------------------------------
file (READ ${HDF5_SRC_DIR}/H5public.h _h5public_h_contents)
string (REGEX REPLACE ".*#define[ \t]+H5_VERS_MAJOR[ \t]+([0-9]*).*$"
    "\\1" H5_VERS_MAJOR ${_h5public_h_contents})
string (REGEX REPLACE ".*#define[ \t]+H5_VERS_MINOR[ \t]+([0-9]*).*$"
    "\\1" H5_VERS_MINOR ${_h5public_h_contents})
string (REGEX REPLACE ".*#define[ \t]+H5_VERS_RELEASE[ \t]+([0-9]*).*$"
    "\\1" H5_VERS_RELEASE ${_h5public_h_contents})

=== debian/changelog ===
kissplice (2.5.3-3) unstable; urgency=medium

  * Team Upload.
  * Fix gcc-10 FTBFS (Closes: #972768)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 26 Oct 2020 04:00:37 +0530

kissplice (2.5.3-2) unstable; urgency=medium

  * Restore build time tests: fixed upstream (Closes: #936798)
  * Fix bcalm install (Closes: #962085)

 -- David Parsons <david.parsons@inria.fr>  Tue, 23 Jun 2020 16:27:59 +0200

kissplice (2.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Improved clean post build.

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Jun 2020 18:47:58 +0200

kissplice (2.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Möller ]
  * Added ref to bioconda

  [ Antoni Villalonga ]
  * New upstream version 2.5.1
  * Python2 to Python3 (Closes: 936798)
  * tests-2to3.patch: tests migration from Python2 to 3
  * spelling.patch: Amend spelling typos
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Standards-Version: 4.5.0

  [ Nilesh Patra ]
  * Fix and add autopkgtests

  [ Andreas Tille ]
  * Add debian/TODO linking to build time errors
  * Remove extra license file

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 29 May 2020 02:55:28 +0530

=== debian/control ===
Source: kissplice
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: David Parsons <david.parsons@inria.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cmake,
               python3-dev,
               libpython3-stdlib,
               zlib1g-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/kissplice
Vcs-Git: https://salsa.debian.org/med-team/kissplice.git
Homepage: http://kissplice.prabi.fr/
Rules-Requires-Root: no

Package: kissplice
Architecture: any-amd64 any-arm64 any-mips64 any-mips64el any-ia64 any-ppc64 any-ppc64el any-sparc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Detection of various kinds of polymorphisms in RNA-seq data
 KisSplice is a piece of software that enables the analysis of RNA-seq data
 with or without a reference genome. It is an exact local transcriptome
 assembler that allows one to identify SNPs, indels and alternative splicing
 events. It can deal with an arbitrary number of biological conditions, and
 will quantify each variant in each condition.
 It has been tested on Illumina datasets of up to 1G reads.
 Its memory consumption is around 5Gb for 100M reads.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DEB_CFLAGS_MAINT_APPEND = -Wno-error=format-security
#export DEB_CFLAGS_MAINT_APPEND = -Wno-error=format-security -Wno-parentheses

# -Wno-unused-result fix bcalm/gatb-core/gatb-core/thirdparty/boost/mpl/assert.hpp:188 unnecessary parentheses
#
# -Wno-parentheses fix bcalm/gatb-core/gatb-core/src/gatb/bank/impl/BankBinary.cpp:54 unused-result
#
# -Wno-error=format-security fix:
#  cd /build/kissplice-2.5.0/obj-x86_64-linux-gnu/bcalm/ext/gatb-core/src &&
#  /usr/lib/ccache/c++
#  -I/build/kissplice-2.5.0/obj-x86_64-linux-gnu/bcalm/ext/gatb-core/include
#  -I/build/kissplice-2.5.0/obj-x86_64-linux-gnu/bcalm/ext/gatb-core/include/None
#  -I/build/kissplice-2.5.0/bcalm/gatb-core/gatb-core/src
#  -I/build/kissplice-2.5.0/bcalm/gatb-core/gatb-core/thirdparty
#  -g -O2 -fdebug-prefix-map=/build/kissplice-2.5.0=. -fstack-protector-strong
#  -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2
#  -Wno-unused-result -Wno-parentheses -msse2 -msse4.2 -mpopcnt
#  -std=c++11 -O3 -DNDEBUG -Wall -Wno-unused-function -Wno-format
#  -Wno-unknown-pragmas -Wno-invalid-offsetof -o CMakeFiles/gatbcore-static.dir/gatb/bank/impl/Bank.cpp.o -c
#  /build/kissplice-2.5.0/bcalm/gatb-core/gatb-core/src/gatb/bank/impl/Bank.cpp
#
#   cc1plus: error: '-Wformat-security' ignored without '-Wformat' [-Werror=format-security]
export DEB_CPPFLAGS_MAINT_APPEND = -Wno-unused-result -Wno-parentheses -Wno-error=format-security

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_auto_install:
	touch bcalm/README.md
	dh_auto_install

override_dh_install:
	rm -rf debian/$(DEB_SOURCE)/usr/README.md debian/$(DEB_SOURCE)/build debian/$(DEB_SOURCE)/builds
	mkdir -p debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)
	mv debian/$(DEB_SOURCE)/usr/bin/kissplice debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/kissplice.py

override_dh_installdocs:
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bcalm/README.md tests/functional_tests/__pycache__/ tests/integration_tests/__pycache__/

=== debian/watch ===
version=4

http://kissplice.prabi.fr/download/index.php ftp://pbil.univ-lyon1.fr/pub/logiciel/kissplice/download/kissplice-(.*)\.tar\.gz

## kissplice 2.5.5%2Bdfsg

=== modules/CMakeLists.txt ===



INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} )

ADD_EXECUTABLE(ks_clean_duplicates CleanDuplicates.cpp CycleCompression.cpp NGraph.cpp CGraph.cpp CEdge.cpp LabelledCEdge.cpp NNode.cpp NEdge.cpp Utils.cpp)
install(TARGETS ks_clean_duplicates DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

ADD_EXECUTABLE(ks_bubble_enumeration  BubbleEnumeration.cpp CycleCompression.cpp NGraph.cpp CGraph.cpp CEdge.cpp LabelledCEdge.cpp NNode.cpp NEdge.cpp Utils.cpp)
install(TARGETS ks_bubble_enumeration DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

ADD_EXECUTABLE(ks_run_modules run.cpp CycleCompression.cpp NGraph.cpp CGraph.cpp CEdge.cpp LabelledCEdge.cpp NNode.cpp NEdge.cpp SplitBcc.cpp Utils.cpp)
install(TARGETS ks_run_modules DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

ADD_EXECUTABLE(ks_error_removal ErrorRemoval.cpp CEdge.cpp LabelledCEdge.cpp Utils.cpp)
install(TARGETS ks_error_removal DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

ADD_EXECUTABLE(ks_print_bcc PrintBcc.cpp Utils.cpp)
install(TARGETS ks_print_bcc DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)

# Declare use of c++11 features
# TODO: This conditional should be removed as soon as cmake 2.8.12 or greater
# becomes acceptable as a requirement since the solution using target_compile_options
# (introduced in 2.8.12) is a lot cleaner.
IF ((${CMAKE_VERSION} VERSION_LESS 2.8.12) )
  SET(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG} -std=c++11")
  SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -std=c++11")
  SET(CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE} -std=c++11")
  SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -std=c++11")
  SET(CMAKE_C_FLAGS_DISTRIBUTION    "${CMAKE_C_FLAGS_DISTRIBUTION} -std=c++11")
  SET(CMAKE_CXX_FLAGS_DISTRIBUTION  "${CMAKE_CXX_FLAGS_DISTRIBUTION} -std=c++11")
  SET(CMAKE_C_FLAGS_PROFILING   "${CMAKE_C_FLAGS_PROFILING} -std=c++11")
  SET(CMAKE_CXX_FLAGS_PROFILING "${CMAKE_CXX_FLAGS_PROFILING} -std=c++11")
ELSE ()
  target_compile_options(ks_clean_duplicates PRIVATE "-std=c++11")
  target_compile_options(ks_bubble_enumeration PRIVATE "-std=c++11")
  target_compile_options(ks_run_modules PRIVATE "-std=c++11")
  target_compile_options(ks_error_removal PRIVATE "-std=c++11")
  target_compile_options(ks_print_bcc PRIVATE "-std=c++11")
ENDIF ()

=== debian/changelog ===
kissplice (2.5.5+dfsg-1) unstable; urgency=medium

  * Disable Salsa-CI from building on i386
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 19:16:12 +0100

kissplice (2.5.4+dfsg-1) unstable; urgency=medium

  * Remove bcalm source since there is a separate bcalm package (see #962085)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Cleanup rules from references to bcalm and means to build gatb-core

 -- Andreas Tille <tille@debian.org>  Mon, 13 Dec 2021 08:21:05 +0100

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  http://kissplice.prabi.fr/download/index.php ftp://pbil.univ-lyon1.fr/pub/logiciel/kissplice/download/kissplice-(.*)\.tar\.gz

## kissplice 2.5.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,15 +23,16 @@
     SET(CMAKE_BUILD_TYPE Distribution)
 ENDIF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
 
-
+SET(CMAKE_CXX_FLAGS "-fopenmp")	
+SET(CMAKE_C_FLAGS "-fopenmp")	
 SET(CMAKE_CXX_FLAGS_DEBUG "-g -Wall")	      
 SET(CMAKE_C_FLAGS_DEBUG "-g -Wall")
 SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -Wall")
-SET(CMAKE_C_FLAGS_RELEASE "-O3 -Wall")
+SET(CMAKE_C_FLAGS_RELEASE "-O3 -Wall -fcommon")
 SET(CMAKE_CXX_FLAGS_DISTRIBUTION "-O3 -w")
-SET(CMAKE_C_FLAGS_DISTRIBUTION "-O3 -w")
+SET(CMAKE_C_FLAGS_DISTRIBUTION "-O3 -w -fcommon")
 SET(CMAKE_CXX_FLAGS_PROFILING "-g -pg") 
-SET(CMAKE_C_FLAGS_PROFILING "-g -pg")
+SET(CMAKE_C_FLAGS_PROFILING "-g -pg -fcommon")
 
 
 
@@ -143,7 +144,7 @@
 SET(CPACK_PACKAGE_VENDOR "Kissplice Development Team")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "5")
-SET(CPACK_PACKAGE_VERSION_PATCH "3")
+SET(CPACK_PACKAGE_VERSION_PATCH "5")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Splicing events caller")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
@@ -155,7 +156,6 @@
  "README.Release"
  "README.NamingConventions"
  "README.Kissreads"
- "README.md"
  "CMakeFiles"
  "Makefile"
  "_CPack_Packages"

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cmake,
                python3-dev,
                libpython3-stdlib,
                zlib1g-dev,
-Standards-Version: 4.5.0
+               bcalm <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/kissplice
 Vcs-Git: https://salsa.debian.org/med-team/kissplice.git
 Homepage: http://kissplice.prabi.fr/
@@ -20,7 +21,8 @@
 Architecture: any-amd64 any-arm64 any-mips64 any-mips64el any-ia64 any-ppc64 any-ppc64el any-sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         bcalm
 Description: Detection of various kinds of polymorphisms in RNA-seq data
  KisSplice is a piece of software that enables the analysis of RNA-seq data
  with or without a reference genome. It is an exact local transcriptome

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#
#   cc1plus: error: '-Wformat-security' ignored without '-Wformat' [-Werror=format-security]
#export DEB_CPPFLAGS_MAINT_APPEND = -Wno-unused-result -Wno-parentheses -Wno-error=format-security

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_install:
	rm -rf debian/$(DEB_SOURCE)/usr/README.md debian/$(DEB_SOURCE)/build debian/$(DEB_SOURCE)/builds
	mkdir -p debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)
	mv debian/$(DEB_SOURCE)/usr/bin/kissplice debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/kissplice.py

override_dh_auto_clean:
	dh_auto_clean
	find . -name __pycache__/ -type d | xargs rm -rf
